Loading...
Searching...
No Matches
RDKit::CIPLabeler::Rule4a Class Reference

`#include <Rule4a.h>`

Inheritance diagram for RDKit::CIPLabeler::Rule4a:

## Public Member Functions

| Rule4a ()
int | compare (const Edge *a, const Edge *b) const override
Public Member Functions inherited from RDKit::CIPLabeler::SequenceRule
| SequenceRule ()
virtual | ~SequenceRule ()
Descriptor | getBondLabel (const Edge *edge) const
int | getComparision (const Edge *a, const Edge *b) const
virtual int | getComparision (const Edge *a, const Edge *b, bool deep) const
virtual const Sort * | getSorter () const
int | recursiveCompare (const Edge *a, const Edge *b) const
void | setSorter (const Sort *sorter)
Priority | sort (const Node *node, std::vector< Edge * > &edges, bool deep) const
Priority | sort (const Node *node, std::vector< Edge * > &edges) const

## Additional Inherited Members

Protected Attributes inherited from RDKit::CIPLabeler::SequenceRule
std::unique_ptr< const Sort > | dp_sorter = nullptr

## Detailed Description

Sequence Rule 4a Chiral stereogenic units precede pseudoasymmetric stereogenic units and these precede nonstereogenic units.

Definition at line 24 of file Rule4a.h.

## Constructor & Destructor Documentation

## Rule4a()

RDKit::CIPLabeler::Rule4a::Rule4a | ( |  | ) |

## Member Function Documentation

## compare()

int RDKit::CIPLabeler::Rule4a::compare | ( | const Edge * | a,
|  | const Edge * | b ) const

override virtual

Implements RDKit::CIPLabeler::SequenceRule.

The documentation for this class was generated from the following file:

- Rule4a.h